curl --request POST \
--url https://grid.squads.xyz/api/compliance/v1/entities/import-sumsub \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-grid-environment: <x-grid-environment>' \
--data '
{
"applicant_id": "<string>",
"name": "<string>",
"bridge_customer_id": "<string>",
"email": "<string>",
"external_id": "<string>",
"infinite_customer_id": "<string>",
"smart_account_address": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/compliance/v1/entities/import-sumsub"
payload = {
"applicant_id": "<string>",
"name": "<string>",
"bridge_customer_id": "<string>",
"email": "<string>",
"external_id": "<string>",
"infinite_customer_id": "<string>",
"smart_account_address": "<string>"
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
applicant_id: '<string>',
name: '<string>',
bridge_customer_id: '<string>',
email: '<string>',
external_id: '<string>',
infinite_customer_id: '<string>',
smart_account_address: '<string>'
})
};
fetch('https://grid.squads.xyz/api/compliance/v1/entities/import-sumsub', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"compliance_submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"external_id": "<string>",
"providers": [
{
"created_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"tos_accepted": true,
"tos_outdated": true,
"tos_required": true,
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"provider_id": "<string>",
"status_code": "<string>",
"status_message": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"tos_accepted_at": "2023-11-07T05:31:56Z",
"tos_version": "<string>",
"tos_version_current": "<string>"
}
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"data": {
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"compliance_submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"external_id": "<string>",
"providers": [
{
"created_at": "2023-11-07T05:31:56Z",
"provider": "<string>",
"tos_accepted": true,
"tos_outdated": true,
"tos_required": true,
"updated_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"provider_id": "<string>",
"status_code": "<string>",
"status_message": "<string>",
"submitted_at": "2023-11-07T05:31:56Z",
"tos_accepted_at": "2023-11-07T05:31:56Z",
"tos_version": "<string>",
"tos_version_current": "<string>"
}
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Create entity from existing Sumsub applicant
Creates or resolves a compliance entity from an existing Sumsub applicant ID. This operation is idempotent for applicant/customer/environment combinations and can include provider details with ?include=providers.
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Query Parameters
Comma-separated list of related resources to include (e.g. providers)
Body
Existing Sumsub applicant identifier (external user ID or internal ID)
Entity name (max 255 characters)
Entity type: individual or business
individual, business Optional existing Bridge customer identifier to attach for later distribution
Contact email address
Your external identifier for this entity
Optional existing Infinite customer identifier to attach for later distribution
Smart account address used to bind this entity to a Grid user
Was this page helpful?